[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] fix unable to load *.pyd files with Python 3.8.x on Windows

From: Johan Corveleyn <jcorvel_at_gmail.com>
Date: Mon, 11 May 2020 21:33:15 +0200

On Mon, May 11, 2020 at 7:08 PM Jun Omae <jun66j5_at_gmail.com> wrote:

> See attached patch py38-windows-add-dll-directory--v2.diff.

I think I also ran into that error when I was testing 1.14.0-rc2,
while testing the swig-python bindings on Windows. But I had already
had so many problems that I gave up, and just signed the release
without validating swig-python. So: thanks for taking a look at this
:-).

Before applying your patch I get (same as you, I guess):

[[[
Testing Debug configuration on local repository.
-- Running Swig Python tests --
Traceback (most recent call last):
  File "R:\test_debug-p--swigpython\swig\pylib\libsvn\core.py", line
14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 657, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 556, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 1101, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: DLL load failed while importing _core: Kan opgegeven
module niet vinden.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\research\svn\dev\trunk\subversion\bindings\swig\python\tests\run_all.py",
line 23, in <module>
    import mergeinfo, core, client, delta, checksum, pool, fs, ra, wc,
repository, \
  File "C:\research\svn\dev\trunk\subversion\bindings\swig\python\tests\mergeinfo.py",
line 22, in <module>
    from svn import core, repos, fs
  File "C:\research\svn\dev\trunk\subversion\bindings\swig\python\tests/..\svn\core.py",
line 26, in <module>
    from libsvn.core import *
  File "R:\test_debug-p--swigpython\swig\pylib\libsvn\core.py", line
17, in <module>
    _core = swig_import_helper()
  File "R:\test_debug-p--swigpython\swig\pylib\libsvn\core.py", line
16, in swig_import_helper
    return importlib.import_module('_core')
  File "C:\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_core'
[Test runner reported failure]
]]]

However, after applying your latest patch, I still get an error:

[[[
C:\research\svn\dev\trunk>python win-tests.py --log-level=DEBUG
--debug --swig=python R:\test_swigpython
Testing Debug configuration on local repository.
-- Running Swig Python tests --
Fatal Python error: _PyInterpreterState_Get(): no current thread state
Python runtime state: unknown

[Test runner reported failure]
]]]

Any ideas?
(Note: it's entirely possible that I did something wrong here locally :-))

-- 
Johan
Received on 2020-05-11 21:33:37 CEST

This is an archived mail posted to the Subversion Dev mailing list.